Index: /branches/version-2_13_0/data/module/Calendar/Second.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Second.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Second.php	(revision 23143)
@@ -1,38 +1,26 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// +----------------------------------------------------------------------+
+//
+// $Id: Second.php,v 1.1 2004/05/24 22:25:42 quipo Exp $
+//
 /**
- * Contains the Calendar_Second class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Second.php 300728 2010-06-24 11:43:56Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Second.php,v 1.1 2004/05/24 22:25:42 quipo Exp $
  */
 
@@ -54,12 +42,5 @@
  * <b>Note:</b> Seconds do not build other objects
  * so related methods are overridden to return NULL
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    public
+ * @package Calendar
  */
 class Calendar_Second extends Calendar
@@ -67,20 +48,18 @@
     /**
      * Constructs Second
-     *
-     * @param int $y year e.g. 2003
-     * @param int $m month e.g. 5
-     * @param int $d day e.g. 11
-     * @param int $h hour e.g. 13
-     * @param int $i minute e.g. 31
-     * @param int $s second e.g. 45
+     * @param int year e.g. 2003
+     * @param int month e.g. 5
+     * @param int day e.g. 11
+     * @param int hour e.g. 13
+     * @param int minute e.g. 31
+     * @param int second e.g. 45
      */
     function Calendar_Second($y, $m, $d, $h, $i, $s)
     {
-        parent::Calendar($y, $m, $d, $h, $i, $s);
+        Calendar::Calendar($y, $m, $d, $h, $i, $s);
     }
 
     /**
      * Overwrite build
-     *
      * @return NULL
      */
@@ -92,5 +71,4 @@
     /**
      * Overwrite fetch
-     *
      * @return NULL
      */
@@ -102,5 +80,4 @@
     /**
      * Overwrite fetchAll
-     *
      * @return NULL
      */
@@ -112,5 +89,4 @@
     /**
      * Overwrite size
-     *
      * @return NULL
      */
Index: /branches/version-2_13_0/data/module/Calendar/Day.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Day.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Day.php	(revision 23143)
@@ -1,38 +1,26 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// +----------------------------------------------------------------------+
+//
+// $Id: Day.php,v 1.1 2004/05/24 22:25:42 quipo Exp $
+//
 /**
- * Contains the Calendar_Day class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Day.php 300729 2010-06-24 12:05:53Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Day.php,v 1.1 2004/05/24 22:25:42 quipo Exp $
  */
 
@@ -53,18 +41,12 @@
  * Represents a Day and builds Hours.
  * <code>
- * require_once 'Calendar/Day.php';
- * $Day = new Calendar_Day(2003, 10, 21); // Oct 21st 2003
+ * require_once 'Calendar'.DIRECTORY_SEPARATOR.'Day.php';
+ * $Day = & new Calendar_Day(2003, 10, 21); // Oct 21st 2003
  * while ($Hour = & $Day->fetch()) {
  *    echo $Hour->thisHour().'<br />';
  * }
  * </code>
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    public
+ * @package Calendar
+ * @access public
  */
 class Calendar_Day extends Calendar
@@ -79,5 +61,5 @@
     /**
      * Marks the Day at the end of a week
-     * @access private
+    * @access private
      * @var boolean
      */
@@ -94,21 +76,17 @@
     /**
      * Constructs Calendar_Day
-     *
-     * @param int $y year e.g. 2003
-     * @param int $m month e.g. 8
-     * @param int $d day e.g. 15
-     *
+     * @param int year e.g. 2003
+     * @param int month e.g. 8
+     * @param int day e.g. 15
      * @access public
      */
     function Calendar_Day($y, $m, $d)
     {
-        parent::Calendar($y, $m, $d);
+        Calendar::Calendar($y, $m, $d);
     }
 
     /**
      * Builds the Hours of the Day
-     *
-     * @param array $sDates (optional) Caledar_Hour objects representing selected dates
-     *
+     * @param array (optional) Caledar_Hour objects representing selected dates
      * @return boolean
      * @access public
@@ -116,9 +94,9 @@
     function build($sDates = array())
     {
-        include_once CALENDAR_ROOT.'Hour.php';
+        require_once CALENDAR_ROOT.'Hour.php';
 
         $hID = $this->cE->getHoursInDay($this->year, $this->month, $this->day);
         for ($i=0; $i < $hID; $i++) {
-            $this->children[$i] =
+            $this->children[$i]=
                 new Calendar_Hour($this->year, $this->month, $this->day, $i);
         }
@@ -131,7 +109,5 @@
     /**
      * Called from build()
-     *
-     * @param array $sDates dates to be selected
-     *
+     * @param array
      * @return void
      * @access private
@@ -156,11 +132,9 @@
      * Defines Day object as first in a week
      * Only used by Calendar_Month_Weekdays::build()
-     *
-     * @param boolean $state set this day as first in week
-     *
+     * @param boolean state
      * @return void
      * @access private
      */
-    function setFirst($state = true)
+    function setFirst ($state = true)
     {
         $this->first = $state;
@@ -170,7 +144,5 @@
      * Defines Day object as last in a week
      * Used only following Calendar_Month_Weekdays::build()
-     *
-     * @param boolean $state set this day as last in week
-     *
+     * @param boolean state
      * @return void
      * @access private
@@ -184,10 +156,8 @@
      * Returns true if Day object is first in a Week
      * Only relevant when Day is created by Calendar_Month_Weekdays::build()
-     *
      * @return boolean
      * @access public
      */
-    function isFirst() 
-    {
+    function isFirst() {
         return $this->first;
     }
@@ -196,5 +166,4 @@
      * Returns true if Day object is last in a Week
      * Only relevant when Day is created by Calendar_Month_Weekdays::build()
-     *
      * @return boolean
      * @access public
@@ -208,7 +177,5 @@
      * Defines Day object as empty
      * Only used by Calendar_Month_Weekdays::build()
-     *
-     * @param boolean $state set this day as empty
-     *
+     * @param boolean state
      * @return void
      * @access private
@@ -220,6 +187,4 @@
 
     /**
-     * Check if this day is empty
-     *
      * @return boolean
      * @access public
Index: /branches/version-2_13_0/data/module/Calendar/Hour.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Hour.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Hour.php	(revision 23143)
@@ -1,38 +1,26 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// +----------------------------------------------------------------------+
+//
+// $Id: Hour.php,v 1.1 2004/05/24 22:25:42 quipo Exp $
+//
 /**
- * Contains the Calendar_Hour class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Hour.php 300729 2010-06-24 12:05:53Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Hour.php,v 1.1 2004/05/24 22:25:42 quipo Exp $
  */
 
@@ -54,5 +42,5 @@
  * <code>
  * require_once 'Calendar'.DIRECTORY_SEPARATOR.'Hour.php';
- * $Hour = new Calendar_Hour(2003, 10, 21, 15); // Oct 21st 2003, 3pm
+ * $Hour = & new Calendar_Hour(2003, 10, 21, 15); // Oct 21st 2003, 3pm
  * $Hour->build(); // Build Calendar_Minute objects
  * while ($Minute = & $Hour->fetch()) {
@@ -60,12 +48,6 @@
  * }
  * </code>
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    public
+ * @package Calendar
+ * @access public
  */
 class Calendar_Hour extends Calendar
@@ -73,32 +55,28 @@
     /**
      * Constructs Calendar_Hour
-     *
-     * @param int $y year e.g. 2003
-     * @param int $m month e.g. 5
-     * @param int $d day e.g. 11
-     * @param int $h hour e.g. 13
-     *
+     * @param int year e.g. 2003
+     * @param int month e.g. 5
+     * @param int day e.g. 11
+     * @param int hour e.g. 13
      * @access public
      */
     function Calendar_Hour($y, $m, $d, $h)
     {
-        parent::Calendar($y, $m, $d, $h);
+        Calendar::Calendar($y, $m, $d, $h);
     }
 
-    /**
+   /**
      * Builds the Minutes in the Hour
-     *
-     * @param array $sDates (optional) Calendar_Minute objects representing selected dates
-     *
+     * @param array (optional) Calendar_Minute objects representing selected dates
      * @return boolean
      * @access public
      */
-    function build($sDates = array())
+    function build($sDates=array())
     {
-        include_once CALENDAR_ROOT.'Minute.php';
+        require_once CALENDAR_ROOT.'Minute.php';
         $mIH = $this->cE->getMinutesInHour($this->year, $this->month, $this->day,
                            $this->hour);
         for ($i=0; $i < $mIH; $i++) {
-            $this->children[$i] =
+            $this->children[$i]=
                 new Calendar_Minute($this->year, $this->month, $this->day,
                            $this->hour, $i);
@@ -112,7 +90,5 @@
     /**
      * Called from build()
-     *
-     * @param array $sDates Calendar_Minute objects representing selected dates
-     *
+     * @param array
      * @return void
      * @access private
Index: /branches/version-2_13_0/data/module/Calendar/Engine/PearDate.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Engine/PearDate.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Engine/PearDate.php	(revision 23143)
@@ -1,40 +1,27 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Lorenzo Alberton <l dot alberton at quipo dot it>           |
+// +----------------------------------------------------------------------+
+//
+// $Id: PearDate.php,v 1.8 2004/08/20 20:00:55 quipo Exp $
+//
 /**
- * Contains the Calendar_Engine_PearDate class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: PearDate.php 269076 2008-11-15 21:41:38Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: PearDate.php,v 1.8 2004/08/20 20:00:55 quipo Exp $
  */
-
 /**
  * Load PEAR::Date class
@@ -45,11 +32,5 @@
  * Performs calendar calculations based on the PEAR::Date class
  * Timestamps are in the ISO-8601 format (YYYY-MM-DD HH:MM:SS)
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
  * @access protected
  */
@@ -60,7 +41,5 @@
      * Uses a static variable to prevent date() being used twice
      * for a date which is already known
-     *
-     * @param mixed $stamp Any timestamp format recognized by Pear::Date
-     *
+     * @param mixed Any timestamp format recognized by Pear::Date
      * @return object Pear::Date object
      * @access protected
@@ -77,7 +56,5 @@
     /**
      * Returns a numeric year given a iso-8601 datetime
-     *
-     * @param string $stamp iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
-     *
+     * @param string iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
      * @return int year (e.g. 2003)
      * @access protected
@@ -91,7 +68,5 @@
     /**
      * Returns a numeric month given a iso-8601 datetime
-     *
-     * @param string $stamp iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
-     *
+     * @param string iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
      * @return int month (e.g. 9)
      * @access protected
@@ -105,7 +80,5 @@
     /**
      * Returns a numeric day given a iso-8601 datetime
-     *
-     * @param string $stamp iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
-     *
+     * @param string iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
      * @return int day (e.g. 15)
      * @access protected
@@ -119,7 +92,5 @@
     /**
      * Returns a numeric hour given a iso-8601 datetime
-     *
-     * @param string $stamp iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
-     *
+     * @param string iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
      * @return int hour (e.g. 13)
      * @access protected
@@ -133,7 +104,5 @@
     /**
      * Returns a numeric minute given a iso-8601 datetime
-     *
-     * @param string $stamp iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
-     *
+     * @param string iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
      * @return int minute (e.g. 34)
      * @access protected
@@ -147,7 +116,5 @@
     /**
      * Returns a numeric second given a iso-8601 datetime
-     *
-     * @param string $stamp iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
-     *
+     * @param string iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
      * @return int second (e.g. 51)
      * @access protected
@@ -161,12 +128,10 @@
     /**
      * Returns a iso-8601 datetime
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (13)
-     * @param int $h hour (13)
-     * @param int $i minute (34)
-     * @param int $s second (53)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (13)
+     * @param int hour (13)
+     * @param int minute (34)
+     * @param int second (53)
      * @return string iso-8601 datetime
      * @access protected
@@ -186,13 +151,10 @@
     /**
      * Set the correct date values (useful for math operations on dates)
-     *
-     * @param int &$y year   (2003)
-     * @param int &$m month  (9)
-     * @param int &$d day    (13)
-     * @param int &$h hour   (13)
-     * @param int &$i minute (34)
-     * @param int &$s second (53)
-     *
-     * @return void
+     * @param int year   (2003)
+     * @param int month  (9)
+     * @param int day    (13)
+     * @param int hour   (13)
+     * @param int minute (34)
+     * @param int second (53)
      * @access protected
      */
@@ -248,5 +210,4 @@
     /**
      * The upper limit on years that the Calendar Engine can work with
-     *
      * @return int 9999
      * @access protected
@@ -259,5 +220,4 @@
     /**
      * The lower limit on years that the Calendar Engine can work with
-     *
      * @return int 0
      * @access protected
@@ -270,7 +230,4 @@
     /**
      * Returns the number of months in a year
-     *
-     * @param int $y year
-     *
      * @return int (12)
      * @access protected
@@ -283,8 +240,6 @@
     /**
      * Returns the number of days in a month, given year and month
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     *
+     * @param int year (2003)
+     * @param int month (9)
      * @return int days in month
      * @access protected
@@ -298,8 +253,6 @@
      * Returns numeric representation of the day of the week in a month,
      * given year and month
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     *
+     * @param int year (2003)
+     * @param int month (9)
      * @return int from 0 to 7
      * @access protected
@@ -312,13 +265,11 @@
     /**
      * Returns the number of days in a week
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return int (7)
      * @access protected
      */
-    function getDaysInWeek($y=null, $m=null, $d=null)
+    function getDaysInWeek($y=NULL, $m=NULL, $d=NULL)
     {
         return 7;
@@ -327,9 +278,7 @@
     /**
      * Returns the number of the week in the year (ISO-8601), given a date
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return int week number
      * @access protected
@@ -337,17 +286,13 @@
     function getWeekNInYear($y, $m, $d)
     {
-        //return Date_Calc::weekOfYear($d, $m, $y); //beware, Date_Calc doesn't follow ISO-8601 standard!
-        list($nYear, $nWeek) = Date_Calc::weekOfYear4th($d, $m, $y);
-        return $nWeek;
+        return Date_Calc::weekOfYear($d, $m, $y); //beware, Date_Calc doesn't follow ISO-8601 standard!
     }
 
     /**
      * Returns the number of the week in the month, given a date
-     *
-     * @param int $y        year (2003)
-     * @param int $m        month (9)
-     * @param int $d        day (4)
-     * @param int $firstDay first day of the week (default: monday)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
+     * @param int first day of the week (default: monday)
      * @return int week number
      * @access protected
@@ -367,9 +312,7 @@
     /**
      * Returns the number of weeks in the month
-     *
-     * @param int $y        year (2003)
-     * @param int $m        month (9)
-     * @param int $firstDay first day of the week (default: monday)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int first day of the week (default: monday)
      * @return int weeks number
      * @access protected
@@ -395,9 +338,7 @@
     /**
      * Returns the number of the day of the week (0=sunday, 1=monday...)
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return int weekday number
      * @access protected
@@ -410,13 +351,11 @@
     /**
      * Returns a list of integer days of the week beginning 0
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return array (0, 1, 2, 3, 4, 5, 6) 1 = Monday
      * @access protected
      */
-    function getWeekDays($y=null, $m=null, $d=null)
+    function getWeekDays($y=NULL, $m=NULL, $d=NULL)
     {
         return array(0, 1, 2, 3, 4, 5, 6);
@@ -425,13 +364,11 @@
     /**
      * Returns the default first day of the week
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return int (default 1 = Monday)
      * @access protected
      */
-    function getFirstDayOfWeek($y=null, $m=null, $d=null)
+    function getFirstDayOfWeek($y=NULL, $m=NULL, $d=NULL)
     {
         return 1;
@@ -440,9 +377,4 @@
     /**
      * Returns the number of hours in a day
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
      * @return int (24)
      * @access protected
@@ -455,10 +387,4 @@
     /**
      * Returns the number of minutes in an hour
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     * @param int $h hour
-     *
      * @return int (60)
      * @access protected
@@ -471,11 +397,4 @@
     /**
      * Returns the number of seconds in a minutes
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     * @param int $h hour
-     * @param int $i minute
-     *
      * @return int (60)
      * @access protected
@@ -484,25 +403,4 @@
     {
         return 60;
-    }
-
-    /**
-     * Checks if the given day is the current day
-     *
-     * @param mixed $stamp Any timestamp format recognized by Pear::Date
-     *
-     * @return boolean
-     * @access protected
-     */
-    function isToday($stamp)
-    {
-        static $today = null;
-        if (is_null($today)) {
-            $today = new Date();
-        }
-        $date = Calendar_Engine_PearDate::stampCollection($stamp);
-        return (   $date->day == $today->getDay()
-                && $date->month == $today->getMonth()
-                && $date->year == $today->getYear()
-        );
     }
 }
